/*
 * Kernel Loader
 *
 * Copyright © 1998-2001 Guillem Jover <guillem@hadrons.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
 *
 */

#ifndef __LOADER_H
#define __LOADER_H

#include <boot/boot.h>


#define LOADER_SIGN 0xAA55

#define KERNEL_SECTORS 10

/*
 * Loader Parameters Determined at boot time (stored in bootsector memory)
 */

#define VIDEO_TYPE		0
#define CPU_FAMILY		1
#define CPU_MODEL		2
#define CPU_STEPPING		3
#define CPU_BRAND		4
#define CPU_TYPE		5
#define CPU_FEATURES		6
#define NPU_FAMILY		10
#define LOADER_PARAMS_LEN	11

#define VIDEO_MDA	0
#define VIDEO_HGA	1
#define VIDEO_PGA	2
#define VIDEO_CGA	3
#define VIDEO_EGA	4
#define VIDEO_MCGA	5
#define VIDEO_XGA	6
#define VIDEO_VGA	7
#define VIDEO_SVGA	8
#define VIDEO_LAST	VIDEO_SVGA

#define VIDEO_BIOS_SEG	0xC000

#define VGA_RAM		0xA000
#define CGA_RAM		0xB800
#define MDA_RAM		0xB000

#endif

