/*
 * Console Text
 *
 *	It's really a text buffer that can be redirected to any
 *	output capable device.
 *
 * Copyright © 1998-2001 Guillem Jover <guillem@hadrons.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
 *
 */

#ifndef __CONSOLE_H
#define __CONSOLE_H

#ifdef __cplusplus
extern "C" {
#endif

#define TABSIZE 8

struct console_driver {
	char *name;
	int (*init)();
	int (*done)();
	int (*putchar)(const int c);
	int (*getchar)();
};

extern struct console_driver *cons_list[];

struct point {
	int x, y;
};

int console_init(void);
int console_done(void);

int putchar(const int c);
int getchar(void);
int puts(const char *str);
int printk(const char *format, ...);

#ifdef __cplusplus
}
#endif

#endif

