/*
 * Frame Buffer
 *
 * Copyright © 1998-2001 Guillem Jover <guillem@hadrons.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
 *
 */

#ifndef __FBUFFER_H
#define __FBUFFER_H

#include <types.h>

#ifdef _cplusplus
extern "C" {
#endif

struct fb_mode {
	int width;
	int length;
	count_t channels;
};

extern u8 *fb;

int fb_init();
int fb_done();
int fb_set_mode(struct fb_mode mode);
struct fb_mode *fb_get_mode();
int fb_get_width();
int fb_get_length();
int fb_clear();

#ifdef _cplusplus
}
#endif

#endif

