/*
 * Fundamental Types
 *
 * Copyright © 1998-2001 Guillem Jover <guillem@hadrons.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
 *
 */

#ifndef __TYPES_H
#define __TYPES_H

#define NULL	(void *)0

#if !defined(__cplusplus)
#define false	0
#define true	1
typedef signed int bool;
#endif

typedef signed char s8_t;
typedef unsigned char u8_t;
typedef signed short s16_t;
typedef unsigned short u16_t;
typedef signed long s32_t;
typedef unsigned long u32_t;

#if defined(__GNUC__) && !defined(__STRICT_ANSI__)
typedef signed long long s64_t;
typedef unsigned long long u64_t;
#endif

/* System dependent data types */
typedef u8_t byte_t;
typedef u32_t word_t;
typedef u64_t long_t;

/* Basic types */
typedef unsigned int natural_t;
typedef int integer_t;
typedef float real_t;

/* Abstraction types */
typedef word_t size_t;
typedef word_t offset_t;

#endif
